error encountered during install

Feb 14, 2009 at 5:08 AM
I'm trying to setup 1.02 on a non-AD environment...i did as the other topic suggested and set everyone to permission level 10.  I get to the final page /setup/followup.aspx where it list's other things i should do.  When i click on the link for the profile, i get an error.  It also happens if i try to navigate anywhere on the site.

Error as follows:

Server Error in '/' Application.

Index was outside the bounds of the array.

Description: An unhandled exception occurred during the execution of the current web request. Please review the stack trace for more information about the error and where it originated in the code.

Exception Details: System.IndexOutOfRangeException: Index was outside the bounds of the array.

Source Error:

Line 33:     public static string userName()
Line 34:     {
Line 35:         return (HttpContext.Current.User.Identity.Name.Split(new char[] { '\\' }))[1];
Line 36:     }
Line 37: 

Source File: c:\folder\SlickTicket\App_Code\utils.cs    Line: 35

Stack Trace:

[IndexOutOfRangeException: Index was outside the bounds of the array.]
   utils.userName() in c:\clients\SlickTicket\App_Code\utils.cs:35
   profile.Page_Load(Object sender, EventArgs e) in c:\clients\SlickTicket\profile.aspx.cs:30
   System.Web.Util.CalliHelper.EventArgFunctionCaller(IntPtr fp, Object o, Object t, EventArgs e) +25
   System.Web.Util.CalliEventHandlerDelegateProxy.Callback(Object sender, EventArgs e) +42
   System.Web.UI.Control.OnLoad(EventArgs e) +132
   System.Web.UI.Control.LoadRecursive() +66
   System.Web.UI.Page.ProcessRequestMain(Boolean includeStagesBeforeAsyncPoint, Boolean includeStagesAfterAsyncPoint) +2428


Version Information: Microsoft .NET Framework Version:2.0.50727.3053; ASP.NET Version:2.0.50727.3053

Coordinator
Feb 14, 2009 at 7:16 AM
This was fixed in the last release, you can see the updated utils.cs file here: http://www.codeplex.com/slickticket/SourceControl/changeset/view/9491#110847
Feb 14, 2009 at 8:29 AM
Ok, i'll update that file.  I had downloaded the slick-ticket v1.02.zip on the download page about 45 mins before writing my post, so the latest version must not be on the downloads page yet.  I'll report back after trying it.

Thanks :)
Feb 14, 2009 at 8:38 AM
Thanks for pointing that update out.  It's working now, so i can check it all out ;)

Thanks again for the quick reply!!!